Quantcast
ESOUI - View Single Post - Multiple mods telling me they are out of Date
View Single Post
04/10/21, 06:30 AM   #2
Coxworth
Join Date: May 2019
Posts: 1
This is not an error. This is just how addon development works.

The game itself as a UI version. Right now we are on 100034, which was released on March 8th, 2021.

Addons are developed against something called an API (application programming interface) that matches up to that version.

However... between versions of the UI the changes to the API are frequently minimal. In fact those changes are frequently so small that they don't actually impact the operation of many of the addons.

Addon developers:

- are no longer developing their addon, but it still works
- or they test and decide it doesn't need and update, and it still works.

The game engine though doesn't actually know that. All it knows is that the addon hasn't marked itself for UI version 100034, so it puts that Out of Date flag on the addon.

Unfortunately that's just how things go. Usually after a big UI update here's how things go for me:
  1. Top notch active developers release new versions within 24-48 hours of the new UI.
  2. Other developers release 2-4 weeks after the update.
  3. Some addons are never update and never work again.
  4. Some addons don't work but are so valuable to the community that another developer will create a fork or patch, or sometimes even just a comment in the addon discussion about how to get it working again.
  5. The rest of the addons just... work.

So, for a few weeks after an update it's a bit of a mess... but eventually you have addons that are fixed for the new API, some don't and they have to be removed, and the rest just work with the Out of Date flag.

Here's a picture of my addons for example... and it's all working just fine:

  Reply With Quote